# coding:utf-8
from optparse import make_option
from django.core.management.base import BaseCommand, CommandError

from concentrator.dict.proxy import ExcludedUnitProxy
from concentrator.dict.constants import OperationEnumerate


class Command(BaseCommand):

    help = 'Delete excluded units from concentrator'

    option_list = BaseCommand.option_list + (
        make_option(
            '--size',
            action='store',
            dest='size',
            default=200,
            help='Send buffer size in records'
        ),
    )

    def handle(self, *args, **options):
        """
        Отсылаем запрос на удаление исключенных ДОО
        """

        try:
            size = int(options['size'])
        except ValueError:
            raise CommandError(
                u'option --size must have an integer argument. '
                u'Example: --size 10')

        ExcludedUnitProxy().send_all(OperationEnumerate.DELETE, size)
